[gtk-doc] tests: test the generated sgml files too



commit 3c58f4a587220aa0f38b2163d208612aff11b498
Author: Stefan Kost <ensonic users sf net>
Date:   Wed Jun 2 12:52:15 2010 +0300

    tests: test the generated sgml files too

 tests/sanity.sh |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)
---
diff --git a/tests/sanity.sh b/tests/sanity.sh
index 0187489..a90b821 100755
--- a/tests/sanity.sh
+++ b/tests/sanity.sh
@@ -43,6 +43,18 @@ if test $nok -gt 0 ; then failed=$(($failed + 1)); fi
 tested=$(($tested + 1))
 
 
+# check validity of generated sgml files
+nok=0
+for file in $dir/*/docs*/xml/*.sgml; do
+  xmllint --noout --noent $file
+  if test $? != 0 ; then
+    nok=$(($nok + 1));
+  fi
+done
+if test $nok -gt 0 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+
 # summary
 rate=$((100*($tested - $failed)/$tested));
 echo "$rate %: Checks $tested, Failures: $failed"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]